
SOURCES=start.o mm.o scrn.o gdt.o idt.o isrs.o irq.o kb.o init.o io.o

CFLAGS=-nostdlib -nostdinc -fno-builtin
LDFLAGS=-bin\link.ld
ASFLAGS=

all: $(SOURCES) link

clean:
	-rm bin\*.o

link:
	ld $(LDFLAGS) -o kernel bin\$(SOURCES)

